Subject: Re: [PATCH 1/2 v4] s2io: add PCI error recovery support

From: Jeff Garzik <[email-masked]>
Date: Mon, 21 May 2007 18:51:45 -0400

Linas Vepstas wrote:
> On Mon, May 21, 2007 at 02:48:47PM -0700, Andrew Morton wrote:
>> On Mon, 21 May 2007 13:58:53 -0500
>> [email-masked] (Linas Vepstas) wrote:
>>> This patch adds PCI error recovery support to the 
>> This is already in Jeff's development tree.  Your new patch neither
>> applies nor unapplies, so if you've changed it, Jeff is now sitting
>> on an old version.  I assume he'd like an incremental update patch.
> 
> Ahh ! 
> 
> I assume I have to git-pull
>   /pub/scm/linux/kernel/git/jgarzik/netdev-2.6.git
> or something like that. Will try that now.

Branch 'upstream' is what is queued for the next major Linux revision.

Branch 'upstream-fixes' is what is queued for the next -rc (this usually 
goes upstream in 24-48 hours, so often actually contains nothing).

> The part that confuses me is that I'd gotten a message from Jeff
> back in March (well before 2.6.21 came out), saying it was in his
> development tree; yet, the patch its not in 2.6.22-rc; Torvalds
> hasn't yet pulled from it?

It only appeared in my tree on May 14.  I tend to drop patches that are 
repeatedly revised, allowing the dust to settle.

	Jeff